WordPress.org

Support

Support » Plugins and Hacks » WordPress PopUp - Popover Maker » [Resolved] V. 4.3.2 Spits out errors with WordPress 3.5

[Resolved] V. 4.3.2 Spits out errors with WordPress 3.5

Viewing 9 replies - 1 through 9 (of 9 total)
  • Same exact error. This is an excellent plugin, so I’m hoping to have this fixed.

    Fixed!

    Just add ” ,null ” to

    $sql = $this->db->prepare( "SELECT * FROM {$this->popover} WHERE popover_active = 1 ORDER BY popover_order ASC" );

    The FIXED code should look like this:

    $sql = $this->db->prepare( "SELECT * FROM {$this->popover} WHERE popover_active = 1 ORDER BY popover_order ASC",null );

    Let me know if it works for you.

    Regards,
    Chevyman

    @chevymanusa thanks that helped. I’m still getting an error at the admin page for the popovers, which can probably be fixed with the same solution.

    The file that needs editing is
    /wp-content/plugins/wordpress-popup/popoverincludes/classes/popoverpublic.php

    @lucholibre The admin file to edit is
    /wp-content/plugins/wordpress-popup/popoverincludes/classes/popoverpublic.php

    Line 386 needs to change from
    $sql = $this->db->prepare( "SELECT * FROM {$this->popover} ORDER BY popover_order ASC" );
    to this FIXED code
    $sql = $this->db->prepare( "SELECT * FROM {$this->popover} ORDER BY popover_order ASC", null );

    It works! Thanks. Just the line for me to edit was 98 instead of 386 🙂

    still it works! Thank you very much.

    can’t I have the fixed file to download or to my email address (julianross at email.it)? I don’t have a php editor

    Thanks!!

    I had to change it both in popoverpublic.php and popoveradmin.php for it to work; just changing popoverpublic.php just made the error message go away, but my pop-up didn’t show, either.

    Once I fixed them both up, it worked just fine.

    @julian – I put my two files here: http://jumpshare.com/b/h7hE6W – hope that helps.

    seems after that work-around the deactivation of a pop over has no effekt – has somebody but me the same problem and is there a fix for that?

    Thanks @chevymanusa and @jimmywags!

    I was facing the same problems!

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘[Resolved] V. 4.3.2 Spits out errors with WordPress 3.5’ is closed to new replies.
Skip to toolbar